# StatusBarControl

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Component](/api/wisej.base/general/wisej.base.component.md)
  * [Component](/api/wisej.web/general/wisej.web.component.md)
    * [BindableComponent](/api/wisej.web/general/wisej.web.bindablecomponent.md)
      * [StatusBarPanel](/api/wisej.web/containers/statusbar/wisej.web.statusbarpanel.md)
        * [StatusBarControl](/api/wisej.web/containers/statusbar/wisej.web.statusbarcontrol.md)

Represents a panel in a [StatusBar](/api/wisej.web/containers/statusbar.md) control that can host any [Control](#control).

{% tabs %}
{% tab title="C#" %}

```csharp
public class StatusBarControl : StatusBarPanel
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class StatusBarControl
    Inherits StatusBarPanel
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) StatusBarControl()

Initializes a new instance of [StatusBarControl](/api/wisej.web/containers/statusbar/wisej.web.statusbarcontrol.md).

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Control

[Control](/api/wisej.web/general/control.md): Returns or sets the [Control](/api/wisej.web/general/control.md) to be hosted. (Default: `null`)

## Methods

### ![](/files/lzopMboA31bVq8UIcbT3) OnAddReferences(items)

Adds references components to the list. Referenced components can be added individually or as a reference to a collection.

| Parameter | Type                                                                    | Description                                             |
| --------- | ----------------------------------------------------------------------- | ------------------------------------------------------- |
| **items** | [IList](https://docs.microsoft.com/dotnet/api/system.collections.ilist) | Container for the referenced components or collections. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebEvent(e)

Processes the event from the client.

| Parameter | Type                                                        | Description      |
| --------- | ----------------------------------------------------------- | ---------------- |
| **e**     | [WisejEventArgs](/api/wisej.core/general/wisejeventargs.md) | Event arguments. |

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebRender(config)

Renders the client component.

| Parameter  | Type                                                          | Description                   |
| ---------- | ------------------------------------------------------------- | ----------------------------- |
| **config** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic configuration object. |

## Implements

| Name                                                                              | Description                                                                                                     |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface. |
| [IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                   |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                  |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/statusbar/wisej.web.statusbarcontrol.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
